class Gendocio
  class << self 
    require 'httparty'

    def generate(template, data, token='')
      options = {
        headers: {
          "Content-Type": "application/json",
          "Authorization": "Bearer #{token}"
        },
        body: {
          template: template,
          data: data
        }.to_json
      }
      HTTParty.post('https://api.gendoc.io/gendoc', options).to_s
    end 
  end 
end 

